%define gitver %(echo %version | cut -d. -f1-3)
%define gitappend %(echo %version | cut -d. -f4)
Name:          libappimage
Version:       1.0.4.5
Release:       1mamba
Summary:       Implements functionality for dealing with AppImage files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AppImageCommunity/libappimage
Source:        https://github.com/AppImage/libappimage.git/v%{gitver}%{?gitappend:-%gitappend}/libappimage-%{version}.tar.bz2
Patch1:        libappimage-1.0.4-gcc-13.2.0.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libboost-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: liblzma-devel
BuildRequires: librsvg-devel
BuildRequires: libsquashfuse-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxdg-utils-cxx-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libsquashfuse-devel
BuildRequires: libxdg-utils-cxx-devel

%description
Implements functionality for dealing with AppImage files.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%define _default_patch_fuzz 2
%patch 1 -p1 -b .gcc-13.2.0

%build
%cmake -d build \
    -DCMAKE_C_FLAGS="%{optflags} -ffat-lto-objects" \
    -DCMAKE_CXX_FLAGS="%{optflags} -Wno-narrowing -fcommon" \
    -DUSE_SYSTEM_XZ=ON \
    -DUSE_SYSTEM_SQUASHFUSE=ON \
    -DUSE_SYSTEM_LIBARCHIVE=ON \
    -DUSE_SYSTEM_BOOST=ON \
    -DUSE_SYSTEM_XDGUTILS=ON \
    -DBUILD_TESTING=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libappimage.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/appimage
%{_includedir}/appimage/*
%dir %{_includedir}/appimage/core
%{_includedir}/appimage/core/*
%dir %{_includedir}/appimage/utils
%{_includedir}/appimage/utils/*
%dir %{_libdir}/cmake/libappimage
%{_libdir}/cmake/libappimage/imported_dependencies.cmake
%{_libdir}/cmake/libappimage/libappimage*.cmake
%{_libdir}/cmake/libappimage/scripts.cmake
%{_libdir}/libappimage.so
%{_libdir}/libappimage_hashlib.a
%{_libdir}/libappimage_shared.a
%{_libdir}/pkgconfig/libappimage.pc
%doc README.md

%changelog
* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4.5-1mamba
- update to 1.0.4.5

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Sun Dec 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Tue Nov 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- added debug package

* Fri Nov 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
